function idx=findnearest(x,n)
  
# idx = nearest(x, n)
#
# Returns the index of the value in x that is the closest to n. The vector x 
# should be monotonically increasing or decreasing.

# Author:
#   Lukasz Starzak 
#   Dept. of Microelectronics and Computer Science, Lodz University of Technology
 
  if (x(end) > x(1))
    idx = 1;
    incr = 1;
  else
    idx = length(x);
    incr = -1;
  endif
  while (idx >= 1 && idx <= length(x) && x(idx) < n)
    idx += incr;
  endwhile
  if (x(idx) > n)
    if (abs(x(idx-incr)-n) < abs(x(idx)-n))
      idx -= incr;
    endif
  endif
  
endfunction
