function [x,y]=oscgetxy(OscRecord,wfm)
  
# [x, y] = oscgetxy(OscRecord, wfm)
#
# Extracts X and Y values for the waveform indentified by wfm as contained in 
# the structure OscRecord.
#
# If wfm is a number, it is treated as the index of the respective waveform 
# within OscRecord. Otherwise, it is treated as its label as set in the 
# oscilloscope.
#
# For a description of OscRecord, see oscreadtbs().

# Author:
#   Lukasz Starzak 
#   Dept. of Microelectronics and Computer Science, Lodz University of Technology

  if (!isnumeric(wfm))
    wfm = oscwfmidx(OscRecord, wfm);
  endif
   
  x = OscRecord.Waveforms(wfm).Values.x;
  y = OscRecord.Waveforms(wfm).Values.y;
  
endfunction
